// File: Rand.H   
// Last Revision: 23-Mar-2001
// Description: functions for the generation of random values.

//  programmer: Romeo Rizzi.
//     rrizzi@rtm.science.unitn.it
//
//  responsible: Roberto Battiti. 
//     battiti@science.unitn.it
//
//  group:  LEA (Laboratory for Experimental Algorithmics). 
//     http://rtm.science.unitn.it/
//
// Note: The two functions myrand() and smyrand() were written by Dell'Amico
// using the portable pseudorandom generator RnG (see below).


#ifndef _RAND_H
#define _RAND_H


 
float myrand();
float smyrand(int seed);
int lprand();
int sprand (int seed);
int dado(int num_facce); // returns an integer in [0, ... , num_facce-1] uniformly at random.

#endif 









